View Issue Details

IDProjectCategoryView StatusLast Update
0027384mantisbtotherpublic2020-10-08 19:49
Reporterdregad Assigned Todregad  
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version2.25.0 
Target Version2.25.0Fixed in Version2.25.0 
Summary0027384: Upgrade release build scripts to Python3
Description

Python 3 is the default in newer Ubuntu versions, and Python 2 has been removed from 20.04 as it reached end-of-life at beginning of 2020.

While there is still a python2 binary that can be installed and used for backwards compatibility, it is time to port our build scripts to use the newer python3.

TagsNo tags attached.

Relationships

related to 0027362 resolveddregad Sourceforge [admin/test_langs.php] File missing from installation packages ( mantisbt-2.24.3.zip & mantisbt-2.24.3.tar.gz) 

Activities

dregad

dregad

2020-10-08 19:48

developer   ~0064534

I have been running these scripts on my dev box since April (after I upgraded it to Focal), and they have been used to build the tarballs for 2.24.2 and 2.24.3.

Related Changesets

MantisBT: master 578eb1a1

2020-05-02 20:11:49

dregad

Details Diff
python3 migration: buildrelease-repo.py

- use print()
- `'%s'.format(var)` instead of `'%s' % var`
- get rid of map() and str()

Fixes 0027384
Affected Issues
0027384
mod - build/buildrelease-repo.py Diff File

MantisBT: master b81f792d

2020-05-03 05:45:38

dregad

Details Diff
python3 migration: buildrelease.py

Fixes 0027384
Affected Issues
0027384
mod - build/buildrelease.py Diff File

MantisBT: master 03a4c93a

2020-05-03 09:50:10

dregad

Details Diff
python3 migration: docbook-manual-repo.py

Fixes 0027384
Affected Issues
0027384
mod - build/docbook-manual-repo.py Diff File

MantisBT: master 58b2356e

2020-05-03 10:04:37

dregad

Details Diff
python3 migration: docbook-manual.py

Fixes 0027384
Affected Issues
0027384
mod - build/docbook-manual.py Diff File

Issue History

Date Modified Username Field Change
2020-10-08 19:40 dregad New Issue
2020-10-08 19:40 dregad Status new => assigned
2020-10-08 19:40 dregad Assigned To => dregad
2020-10-08 19:46 dregad Changeset attached => MantisBT master 578eb1a1
2020-10-08 19:46 dregad Changeset attached => MantisBT master b81f792d
2020-10-08 19:46 dregad Changeset attached => MantisBT master 03a4c93a
2020-10-08 19:46 dregad Changeset attached => MantisBT master 58b2356e
2020-10-08 19:46 dregad Status assigned => resolved
2020-10-08 19:46 dregad Resolution open => fixed
2020-10-08 19:46 dregad Fixed in Version => 2.25.0
2020-10-08 19:48 dregad Note Added: 0064534
2020-10-08 19:49 dregad Relationship added related to 0027362